Package javassist.bytecode.analysis

# Class ControlFlow.Catcher

java.lang.Object
javassist.bytecode.analysis.ControlFlow.Catcher

Enclosing class:
  `ControlFlow`

public static class ControlFlow.Catcher extends Object
Represents a catch clause.

## Method Summary

Modifier and Type
Method
Description
`ControlFlow.Block`
`block()`
Returns the first block of the catch clause.
`String`
`type()`
Returns the name of the exception type that this catch clause catches.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### block

public ControlFlow.Block block()
Returns the first block of the catch clause.

### type

public String type()
Returns the name of the exception type that this catch clause catches.